=== debian/watch ===
version=3
http://code.google.com/p/eiskaltdc/downloads/list .*/eiskaltdcpp-(.+)\.tar\.xz \
debian uupdate
